problem with installing

Discussion in general that pertains to Sabayon Linux - Must Pertain to Sabayon Linux

Moderator: Moderators

Post Reply
HackYou
Baby Hen
Posts: 3
Joined: Sun Apr 08, 2007 7:58

problem with installing

Post by HackYou » Mon Apr 09, 2007 8:03

I tried with rpm package but the returned result was -bash: rpm: command not found

with ./go this is the result

Code: Select all

Running make...
gcc -g -O2 -Wall -Wstrict-prototypes -ansi    '-DPPPOE_PATH="/usr/sbin/pppoe"' '-DPPPD_PATH="/usr/sbin/pppd"' '-DPLUGIN_PATH="/etc/ppp/plugins/rp-pppoe.so"' '-DPPPOE_SERVER_OPTIONS="/etc/ppp/pppoe-server-options"' -Ilibevent '-DVERSION="3.8"' -c -o pppoe.o pppoe.c
gcc -g -O2 -Wall -Wstrict-prototypes -ansi    '-DPPPOE_PATH="/usr/sbin/pppoe"' '-DPPPD_PATH="/usr/sbin/pppd"' '-DPLUGIN_PATH="/etc/ppp/plugins/rp-pppoe.so"' '-DPPPOE_SERVER_OPTIONS="/etc/ppp/pppoe-server-options"' -Ilibevent '-DVERSION="3.8"' -c -o if.o if.c
if.c: In function ‘openInterface’:
if.c:425: error: storage size of ‘ifr’ isn’t known
if.c:425: warning: unused variable ‘ifr’
make: *** [if.o] Error 1
Oops!  It looks like make failed.
what to do?

forest
Young Hen
Posts: 22
Joined: Tue Jan 16, 2007 11:24

Post by forest » Mon Apr 09, 2007 11:02

What do you want to do and what command did you enter? Sabayon is gentoo, and so does not use rpm or deb. I uses emerge to compile programs from source.

HackYou
Baby Hen
Posts: 3
Joined: Sun Apr 08, 2007 7:58

Post by HackYou » Mon Apr 09, 2007 13:00

i am trying to isntall rp-pppoe3.8.tar.gz
once i did it but the beryl f.cked everything and i was forced to reinstall, and now i can't bring up my net connection

forest
Young Hen
Posts: 22
Joined: Tue Jan 16, 2007 11:24

Post by forest » Mon Apr 09, 2007 13:11

Your connection is ethernet, wireless, usb modem or 56k modem?

Post Reply